<!-- ##### SECTION Title ##### -->
GnomeDbBasicForm

<!-- ##### SECTION Short_Description ##### -->
A GUI form to present data in a #GdaSet

<!-- ##### SECTION Long_Description ##### -->
<para>

</para>

<!-- ##### SECTION See_Also ##### -->
<para>

</para>

<!-- ##### STRUCT GnomeDbBasicForm ##### -->
<para>

</para>


<!-- ##### SIGNAL GnomeDbBasicForm::activated ##### -->
<para>

</para>

@dbbasicform: the object which received the signal.

<!-- ##### SIGNAL GnomeDbBasicForm::param-changed ##### -->
<para>

</para>

@dbbasicform: the object which received the signal.
@arg1: 
@arg2: 

<!-- ##### ARG GnomeDbBasicForm:entries-auto-default ##### -->
<para>

</para>

<!-- ##### ARG GnomeDbBasicForm:headers-sensitive ##### -->
<para>

</para>

<!-- ##### ARG GnomeDbBasicForm:layout-spec ##### -->
<para>

</para>

<!-- ##### ARG GnomeDbBasicForm:paramlist ##### -->
<para>

</para>

<!-- ##### ARG GnomeDbBasicForm:show-actions ##### -->
<para>

</para>

<!-- ##### STRUCT GnomeDbBasicFormClass ##### -->
<para>

</para>

@parent_class: 
@param_changed: 
@activated: 

<!-- ##### STRUCT GnomeDbBasicFormPriv ##### -->
<para>

</para>


<!-- ##### FUNCTION gnome_db_basic_form_new ##### -->
<para>

</para>

@data_set: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_new_custom ##### -->
<para>

</para>

@data_set: 
@glade_file: 
@root_element: 
@form_prefix: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_new_in_dialog ##### -->
<para>

</para>

@data_set: 
@parent: 
@title: 
@header: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_get_data_set ##### -->
<para>

</para>

@form: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_is_valid ##### -->
<para>

</para>

@form: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_has_been_changed ##### -->
<para>

</para>

@form: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_reset ##### -->
<para>

</para>

@form: 


<!-- ##### FUNCTION gnome_db_basic_form_set_current_as_orig ##### -->
<para>

</para>

@form: 


<!-- ##### FUNCTION gnome_db_basic_form_entry_show ##### -->
<para>

</para>

@form: 
@param: 
@show: 


<!-- ##### FUNCTION gnome_db_basic_form_entry_grab_focus ##### -->
<para>

</para>

@form: 
@param: 


<!-- ##### FUNCTION gnome_db_basic_form_entry_set_editable ##### -->
<para>

</para>

@form: 
@param: 
@editable: 


<!-- ##### FUNCTION gnome_db_basic_form_set_entries_auto_default ##### -->
<para>

</para>

@form: 
@auto_default: 


<!-- ##### FUNCTION gnome_db_basic_form_set_entries_default ##### -->
<para>

</para>

@form: 


<!-- ##### FUNCTION gnome_db_basic_form_get_entry_widget ##### -->
<para>

</para>

@form: 
@param: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_get_label_widget ##### -->
<para>

</para>

@form: 
@param: 
@Returns: 


<!-- ##### FUNCTION gnome_db_basic_form_entry_set_editable ##### -->
<para>

</para>

@form: 
@param: 
@editable: 


